:root {
    --button-size: 8vw;
    --button-gap: 1vw;
}

* {
    margin: 0;
    padding: 0;
}

body {
    background: white;
    overflow: clip;
    height: 100vh;
    width: 100vw;
    font-family: Helvetica, sans-serif;
}

div:focus {
    outline: none;
}

#h1c {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    font-size: calc(3vw);
    transform: scaleY(2);
    animation: fade 6s +1s forwards;
    pointer-events: none;
    z-index: 100;
}

.jim {
    position: absolute;
    transform: scaleY(2);
    left: 5vh;
    top: 5vh;
    pointer-events: none;
    z-index: 98;
    font-size: 2.5vh;
}

.footer {
    position: absolute;
    padding: 2.5vh;
    bottom: 0;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    z-index: 98;
    font-size: 2.5vh;
    width: calc(100vw - (2.5vh * 2));
    text-align: right;
}

@media only screen and (max-width: 300px) {
    .footer {
        flex-direction: column;
        text-align: center;
    }
}

#trophies {
    position: absolute;
    border: 2px black solid;
    z-index: 101;
    width: 80vw;
    height: 90vh;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    background: white;
}

#trophies .title {
    padding: 0.25em;
    background: #333;
    color: white;
    font-weight: bold;
    text-align: center;
    border-bottom: 2px black solid;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#achievementwall {
    flex: 1;
    overflow-y: scroll;
    padding: 0.5em;
    flex-direction: column;
    gap: 1em;
    display: flex;
}

figure {
    display: flex;
    flex-direction: row;
    align-items: center;
}

figure img {
    height: 8vh;
}

#achievement,
#achievementwall > div {
    z-index: 99;
    position: absolute;
    right: 0;
    top: 0;
    background-color: white;
    border-left: 2px solid black;
    border-bottom: 2px solid black;
    padding: 1vh;
    text-align: center;
    visibility: hidden;
}

#achievementwall img {
    margin-right: 0.25em;
}

.fade {
    visibility: visible !important;
    animation: fade 3s +5s forwards !important;
}

#achtit,
#achievementwall span:first-child {
    font-weight: bold;
}

#achsub,
#achievementwall span:last-child {
    opacity: 0.8;
    font-style: italic;
}

@keyframes fade {
    0% {
        visibility: visible;
        opacity: 1;
    }
    100% {
        opacity: 0;
        visibility: hidden;
    }
}

#wall {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    overflow: clip;
    padding: 10vh 0;
    gap: 2vh;
    width: 100%;
    min-height: 80vh;
    justify-content: center;
}

#wall > div {
    width: 100%;
    overflow: clip;
    height: calc(var(--button-size) + 1vh);
    width: 100vw;
    display: flex;
    flex-wrap: nowrap;
    position: relative;
}

#wall > div > button {
    position: absolute;
}


.scroll > button {
    animation: scroll-left 10s linear infinite;
}

.reverse > button {
    animation: scroll-right 10s linear infinite;
}

#wall button {
    width: var(--button-size);
    height: var(--button-size);
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    border: none;
    cursor: pointer;
}

@keyframes scroll-left {
    0% {
        transform: translateX(-10vw);
    }
    100% {
        transform: translateX(110vw);
    }
}

@keyframes scroll-right {
    0% {
        transform: translateX(110vw);
    }
    100% {
        transform: translateX(-10vw);
    }
}
